import React, {useState} from 'react';

import {NativeBaseProvider, Box, Input, Text} from 'native-base';
import {StatusBar} from 'native-base';
import {NavigationContainer} from '@react-navigation/native';
import {SafeAreaProvider} from 'react-native-safe-area-context';

import {theme} from '@caj/configs/colors';

import imgSrc from '@caj/img/maimg.png';

interface User {
  name: string;
  id: number;
}

const user: User = {
  name: 'Hayes',
  id: 0,
};

const App = () => {
  return (
    <NavigationContainer>
      {
        <NativeBaseProvider theme={theme}>
          <StatusBar backgroundColor="transparent" translucent={true} />
          <Box safeArea>
            <Text style={{fontFamily: 'Outfit-Bold', color: '#f00'}}>
              ma boyy :--)))
            </Text>
          </Box>
          <Box alignItems="center">
            <Input shadow={2} placeholder="Enter your name" />
          </Box>
        </NativeBaseProvider>
      }
    </NavigationContainer>
  );
};
/*
const styles = StyleSheet.create({
  baseText: {
    fontFamily: 'Cochin',
  },
  titleText: {
    fontSize: 20,
    fontWeight: 'bold',
  },
  image: {
    width: 500,
    height: 500,
    borderWidth: 1,
  },
});*/

export default App;
